Bug 1691563 - QEMU NBD Feature parity roundup (QEMU 3.1.0)
Summary: QEMU NBD Feature parity roundup (QEMU 3.1.0)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: John Snow
QA Contact: aihua liang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-21 22:44 UTC by John Snow
Modified: 2019-08-22 09:20 UTC (History)
7 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-27.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-22 09:20:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2553 None None None 2019-08-22 09:20:42 UTC

Description John Snow 2019-03-21 22:44:41 UTC
For the larger incremental backup project, we need feature parity with Bitmaps and NBD going up to the 4.0 release backported for QEMU 2.12.

This is a tracker BZ for a roundup of backports that bring the functionality of our NBD server at least in line with the QEMU 3.1.0 release.

A different BZ (BZ #1691009) will be used to track backports that bring us in line with the upstream 4.0 release. (This will hopefully ease reviewing burden, and keeps changing that change the API itself separate to its own BZ.)

Comment 3 Miroslav Rezanina 2019-04-25 03:53:11 UTC
Fix included in qemu-kvm-rhev-2.12.0-27.el7

Comment 5 aihua liang 2019-05-15 06:36:07 UTC
Run incremental_live_backup full test on qemu-kvm-rhev-2.12.0-27.el7.x86_64, new issues has been tracked by new bugs.

  New bugs:
    Bug 1703916 - Qemu core dump when quit vm after forbidden to do backup with a read-only bitmap -- new
      Bug 1707303 - Error returned qmp info when do incremental live backup with an in-use bitmap --new 
      Bug 1707733 - Qemu hang when do backup jobs with completion-mode "grouped" and with one job failed -- new
      Bug 1707821 - Target VM failed to enter running status after migration with persistent bitmap on shared storage -- new


And timao has run full test with network storage -- nbd, no new issue found.


So set this bug's status to "Verified"

Comment 7 errata-xmlrpc 2019-08-22 09:20:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2553


Note You need to log in before you can comment on or make changes to this bug.